#include "SFML/Graphics.hpp"
#include "SFML/Window.hpp"
#include "SFML/System.hpp"


int main()
{
    sf::RenderWindow ventana(sf::VideoMode(800, 600), "MI VENTANA",
			     sf::Style::Close);
    ventana.setFramerateLimit(60);

    sf::Font font;
    if (!font.loadFromFile("sansation.ttf"))
	throw("¡FUENTES NO ENCONTRADAS!");

    sf::Text miTexto;
    miTexto.setFont(font);
    miTexto.setCharacterSize(24);
    miTexto.setFillColor(sf::Color::Red);
    miTexto.setStyle(sf::Text::Bold);
    miTexto.setString("HOLA MUNDO");
    miTexto.setPosition(100, 100);

    ventana.clear(sf::Color::Black);
    ventana.draw(miTexto);
    ventana.display();

    while (ventana.isOpen()) {
	sf::Event evento;
	ventana.draw(miTexto);

	while (ventana.pollEvent(evento)) {
	    if (evento.type == sf::Event::Closed) {
		printf("Cerrando ventana SFML\n");
		ventana.close();
	    }
	}
    }
}
