#include "SFML/Graphics.hpp"
#include "SFML/Window.hpp"
#include "SFML/System.hpp"

using namespace sf;

int main()
{
    RenderWindow ventana(VideoMode(800, 600), "MI VENTANA", Style::Close);
    ventana.setFramerateLimit(60);

    Font font;
    if (!font.loadFromFile("sansation.ttf"))
	throw("¡FUENTES NO ENCONTRADAS!");

    Text miTexto;
    miTexto.setFont(font);
    miTexto.setCharacterSize(24);
    miTexto.setFillColor(Color::Red);
    miTexto.setStyle(Text::Bold);
    miTexto.setString("HOLA MUNDO");
    miTexto.setPosition(100, 100);

    ventana.clear(Color::Black);
    ventana.draw(miTexto);
    ventana.display();

    while (ventana.isOpen()) {
	Event evento;
	ventana.draw(miTexto);

	while (ventana.pollEvent(evento)) {
	    if (evento.type == Event::Closed) {
		printf("Cerrando ventana SFML\n");
		ventana.close();
	    }
	}
    }
}
